#ifndef __G3D_MATRIX_H__
#define __G3D_MATRIX_H__

#include <glib.h>

G_BEGIN_DECLS

gboolean g3d_matrix_identity(gfloat *matrix);

gboolean g3d_matrix_multiply(gfloat *m1, gfloat *m2, gfloat *rm);

gboolean g3d_matrix_translate(gfloat x, gfloat y, gfloat z, gfloat *rm);

gboolean g3d_matrix_rotate(gfloat angle, gfloat ax, gfloat ay, gfloat az,
	gfloat *rm);

gboolean g3d_matrix_rotate_xyz(gfloat rx, gfloat ry, gfloat rz, gfloat *rm);

G_END_DECLS

#endif /* __G3D_MATRIX_H__ */
