#ifndef __G3D_OBJECT_H__
#define __G3D_OBJECT_H__

#include <g3d/types.h>

G_BEGIN_DECLS

void g3d_object_free(G3DObject *object);

gdouble g3d_object_radius(G3DObject *object);

gboolean g3d_object_scale(G3DObject *object, gfloat scale);

gboolean g3d_object_transform(G3DObject *object, gfloat *matrix);

G3DObject *g3d_object_duplicate(G3DObject *object);

gboolean g3d_object_optimize(G3DObject *object);

gboolean g3d_object_smooth(G3DObject *object);

gboolean g3d_object_merge(G3DObject *o1, G3DObject *o2);

G_END_DECLS

#endif /* __G3D_OBJECT_H__ */
