#ifndef __G3D_PRIMITIVE_H__
#define __G3D_PRIMITIVE_H__

#include <g3d/types.h>

G_BEGIN_DECLS

G3DObject *g3d_primitive_cylinder(gfloat radius, gfloat height,
	guint32 sides, gboolean top, gboolean bottom, G3DMaterial *material);

G3DObject *g3d_primitive_tube(gfloat r_in, gfloat r_out, gfloat height,
	guint32 sides, gboolean top, gboolean bottom, G3DMaterial *material);

G_END_DECLS

#endif /* __G3D_PRIMITIVE_H__ */
