#ifndef __G3D_MODEL_H__
#define __G3D_MODEL_H__

#include <g3d/types.h>

G_BEGIN_DECLS

G3DModel *g3d_model_new(void);

G3DModel *g3d_model_load(G3DContext *context, const gchar *filename);

gboolean g3d_model_check(G3DModel *model);

gboolean g3d_model_center(G3DModel *model);

void g3d_model_clear(G3DModel *model);

void g3d_model_free(G3DModel *model);

G_END_DECLS

#endif /* __G3D_MODEL_H__ */
